在macOS上升级到Bash 4

成人自考/成人高考/教师资格证/会计从业资格证/建造师/造价师,一个小程序就够啦。

令人难以置信的是,macOS Mojave仍默认带有Bash 3.22。显然,这是由于许可原因造成的,但是Bash 4具有许多不错的功能,包括我要使用的关联数组。因此,在阅读了一点互联网之后,我将其安装在Mac上。原来只需要3个命令:

关闭终端并打开一个新的终端,该终端现在具有Bash 4!

输出Bash 4版本!

文章学习自akrabat.com博客,内容经过翻译和整理,如有问题请指正!

访客
邮箱
网址

Top